/* ===== Google Font Import - Poppins ===== */
@import url("https://fonts.googleapis.com/css2?family=Poppins:wght@200;300;400;500;600&display=swap");

/* Main form styles import */
@import "./formStyles.css";

/* Pre Anesthetic form styles import */
@import "./preAnestheticFormStyles.css";

/* Multi-select form styles import */
@import "./multiselect.css";

/* Styles for toast notifications and form submission with animations import */
@import "./notificationStyles.css";

/* general styles */

*,
*::before,
*::after {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
  font-family: "Poppins", sans-serif;
}

html {
  font-size: 10px;
}

body {
  min-height: 100vh;
  height: -webkit-fill-available;
  display: flex;
  align-items: center;
  justify-content: center;
  background: #4070f4;
  overflow: hidden;
  font-size: 1.6rem;
}

/* div.footer {
  position: relative;
  top: 8rem;
} */

div.form-footer-buttons {
  display: flex;
  flex-flow: row wrap;
  justify-content: space-between;
  align-items: center;
}

div.form-footer-buttons .buttons {
  flex-grow: 1;
}

/* media queries for general screen sizes responsiveness */
@media (max-width: 768px) {
  .container {
    min-height: 40em;
    /* top: 2rem; */
  }
  .container form {
    overflow: hidden;
    height: 30em;
  }

  .container form::-webkit-scrollbar {
    display: none;
  }
  form .fields .input-field {
    width: calc(100% / 2 - 15px);
  }

  label:has(~ input[id^="breed"]),
  label:has(~ input[id^="registered-name"]) {
    min-height: 3.7rem;
  }

  label:has(~ input[id^="dob"]) {
    min-height: 1rem;
  }
}

@media (max-width: 550px) {
  body {
    overflow: hidden !important;
  }

  .container {
    top: 2rem;
    padding: 30px 20px;
  }

  .container form {
    overflow: hidden;
    height: 25em;
  }

  form .form.second {
    max-width: 99.5%;
  }

  form .fields .input-field {
    width: 100%;
  }

  label:has(~ input[id^="breed"]) {
    min-height: 2rem;
  }
}

/* Other media queries  */

@media (max-width: 600px) {
  body {
    padding-bottom: 10rem;
  }
  .container{
    max-height: 98dvh;
  }

  .sub-sections div.input-field:has(input#past-problems),
  .dynamic-input:has(textarea) {
    max-width: unset;
  }

  .issues-checkboxes {
    align-content:space-between;
    height: 20rem;
  }
}

/* xs */
@media (max-width: 450px) {
  .container {
    position: relative;
    min-width: 95%;
    max-width: 99%;
  }

  .container form {
    overflow-y: scroll;
  }

  .container header {
    position: relative;
    display: flex;
    justify-content: space-between;
    align-items: center;
    font-size: 2rem;
    font-weight: 600;
    color: #333;
  }

  .container header span:first-child {
    max-width: 20rem;
  }
}

@media (max-width: 395px) {
  #addNew {
    font-size: 1.3rem;
    min-width: 10rem;
  }
}

@media (max-width: 350px) {
  #addNew {
    font-size: 1.05rem;
    min-width: 8.5rem;
    height: 3.5rem;
  }
  .container header {
    position: relative;
    display: flex;
    justify-content: space-between;
    align-items: center;
    font-size: 1.8rem;
    font-weight: 600;
    color: #333;
  }

  form .fields .input-field {
    max-width: 100%;
  }
}

@media (max-width: 280px) {
  .container {
    padding: 5px 10px;
  }

  .container header span:first-child {
    max-width: 10rem;
  }

  .container form .form {
    min-width: 100%;
  }

  #addNew {
    font-size: 1rem;
    min-width: 8.5rem;
    height: 3.5rem;
  }

  .container form .form.first,
  .container form .form.second {
    width: 20rem;
  }

  .container header {
    font-size: 1.5rem;
  }

  form .fields .input-field {
    max-width: 100%;
    padding: auto;
  }
}

/* targeting heights */
@media (min-height: 600px) {
  .container form {
    min-height: 33.5em;
  }
}

@media (min-height: 700px) {
  .container form {
    min-height: 37em;
  }
}

@media (min-height: 800px) {
  .container form {
    min-height: 44em;
  }
}

@media (min-height: 870px) {
  .container form {
    min-height: 47em;
  }
}

@media (min-height: 1024px) {
  .container form {
    min-height: 42vh;
  }
}

/* large screens */
@media (min-width: 750px) {
  .container form {
    overflow-y: scroll;
    min-height: 28em;
  }
}

@media (min-width: 1024px) {
  .container form {
    min-height: 32em;
  }
}

@media (min-width: 820px) and (min-height: 600px) {
  .container form {
    min-height: 32em;
  }
}
